Page MenuHomePhabricator

Talk to legal and make sure they're okay with our data handling documentation and everything else post-Oliver
Closed, ResolvedPublic

Description

What it sounds like really. Legal and Oliver have a great relationship around privacy, data handling and data storage. Oliver knows where a disturbing amount of stuff lives. We should probably chat to them and make sure that what we've written down is something they have confidence in and build relationships between legal and other employees.

Event Timeline

Ironholds created this task.Mar 3 2016, 9:12 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 3 2016, 9:12 PM
Deskana triaged this task as Normal priority.Mar 3 2016, 9:14 PM
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptMar 4 2016, 5:06 AM
Ironholds claimed this task.Mar 8 2016, 6:27 PM
Ironholds moved this task from Backlog to In progress on the Discovery-Analysis (Current work) board.

Done, waiting on response.

Deskana closed this task as Resolved.Mar 15 2016, 8:12 PM
Deskana moved this task from Stalled/Waiting to Done on the Discovery-Analysis (Current work) board.
Deskana added a subscriber: Deskana.

An email was sent to Michelle and Mikhail was introduced to her. She indicated that she's comfortable proceeding with Mikhail as the point contact for these kinds of matters. So I consider this one resolved.